Subject: bug#51925: [Trunk][macOS] "vfork" is deprecated

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 20 Sep 2022 17:20:40 +0200

Jacob Faibussowitsch <[email-masked]> writes:

> Switching to CLT I now don’t get warnings about vfork() when building emacs
> anymore,

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

So I guess this means that the originally reported problem is gone, and:

> but have now gotten the following warning:
>
> nproc.c:321:21: warning: passing 'const int [2]' to parameter of type 'int *' discards
> qualifiers [-Wincompatible-pointer-types-discards-qualifiers]
>         if (sysctl (mib[i], ARRAY_SIZE (mib[i]), &nprocs, &len, NULL, 0) == 0
>                     ^~~~~~
> /Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/include/sys/sysctl.h:770:21:
> note: passing argument to parameter here
> int     sysctl(int *, u_int, void *, size_t *, void *, size_t);
>                     ^
> 1 warning generated.

I'm not able to reproduce this problem either on the current Macos, so
I'm closing this bug report.